/*
 * This file is part of source for dviviewer, 
 * a DVI file viewer for Qtopia environment. 
 * 
 * Copyright (C) 2003  hn43o.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef BINARYFILE_H
#define BINARYFILE_H

#include <qfile.h>

class BinaryFile {
 public: 
  BinaryFile();
  virtual ~BinaryFile();
  virtual bool open( QString );
  virtual void close();

 protected:
  unsigned int getUInt1();
  int getInt1();
  unsigned int getUInt2();
  int getInt2();
  unsigned int getUInt3();
  int getInt3();
  unsigned int getUInt();
  int getInt();

  bool isValid;
  QFile file;
};

#endif
